
#ifdef GM_USE_MEMORY

#include <cassert>

//------------------------------------------------------------------------------
inline GMMemoryManager::STimestamp*		GMMemoryManager::GetFreeTimestamp()
{
	if ( NULL == m_pAvailableTimestampList )
	{
		AllocateTimestampBlock() ;
	}

	assert( NULL != m_pAvailableTimestampList && "Allocate timestamp block failed !!" ) ;

	STimestamp* pStamp = m_pAvailableTimestampList ;
	m_pAvailableTimestampList = m_pAvailableTimestampList->m_pNext ;
	return pStamp ;
}

//------------------------------------------------------------------------------

#endif	// GM_USE_MEMORY
